%define _prefix /usr
%define cvs rc2




Summary: The Open Vulnerability Assessment (OpenVAS) Manager
Name:    openvas-manager
Version: 2.0.1
Release: 2.art
Source0: %{name}-%{version}.tar.gz
#Source0: %{name}-%{version}-%{cvs}.tar.gz
Source1: openvasmd-init.sh
Source2: openvas-manager.sysconfig
Source3: openvasmd.logrotate
Patch0: no-werror.patch
License: GNU GPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0

BuildRequires: openvas-libraries, openvas-libraries-devel
BuildRequires: e2fsprogs-devel, sqlite-devel, doxygen
BuildRequires: cmake
Requires: doxygen
Requires: /usr/bin/pdflatex
Requires: /usr/bin/makensis
%if 0%{?fc13}
Requires: perl-SQL-Translator
%endif


%if 0%{?el6}%{?fc12}%{?fc13}%{?fc14}%{?fc15}
BuildRequires: libuuid libuuid-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif


%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif


Requires: openvas-libraries, 
#Requires: texlive-latex


%if 0%{?el4}0%{?el5}
BuildRequires: %{_includedir}/pcap.h
BuildRequires: compat-gnutls2, compat-gnutls2-devel, gnutls, gnutls-devel
Requires: compat-gnutls2
Requires: tetex-latex
%else
BuildRequires: libpcap-devel gnutls-devel
Requires: texlive-latex
%endif
BuildRequires: libgcrypt-devel gpgme gpgme-devel
 
%description
The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
other features, it adds server-side storage of scan results and it makes it
unnecessary for a scan client to keep the connection open until the scan
finishes.


%prep
%setup -b 0 -n %{name}-%{version}
#%setup -n %{name}-%{version}+%{cvs} -b 0
%patch0 -p1


%build

%if 0%{?el4}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/
%endif

cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}


%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


%{__make}  %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


#mkdir -p %{buildroot}/etc/openvas/xsl
#mkdir -p %{buildroot}/usr/bin
#mkdir -p %{buildroot}/usr/share/openvas/
#
#%{__install} -m 0755 ./src/openvasmd %{buildroot}/usr/bin/openvasmd
#%{__install} -m 0644 ./src/openvasmd_log.conf %{buildroot}/etc/openvas/openvasmd_log.conf
##%{__install} -m 0644 ./src/ITG.xsl %{buildroot}/etc/openvas/xsl/ITG.xsl
#%{__install} -m 0644 ./src/CPE.xsl %{buildroot}/etc/openvas/xsl/CPE.xsl
#%{__install} -m 0644 ./src/openvasmd_report_html.xsl %{buildroot}//usr/share/openvas/openvasmd_report_html.xsl
#
# Install startup script. Dont use %{_initdir} here. This breaks el4 builds
install -Dp -m 755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/openvas-manager

# Install sysconfig configration
install -Dp -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/openvas-manager


# install log rotation stuff
install -m 644 -Dp %{SOURCE3} \
        %{buildroot}/%{_sysconfdir}/logrotate.d/openvas-manager




%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
  # Create the om user
  if [ ! -d /var/lib/openvas/users/om ] ; then
    /usr/bin/openvas-mkcert-client -n om -i >/dev/null 2>&1 || :
  fi
  
  # set openvas-scanner to port 9391
  if [ -f /etc/sysconfig/openvas-scanner ]; then
    /usr/bin/perl -p -i -e 's[^OPTIONS.*][OPTIONS="-p 9391"]g' /etc/sysconfig/openvas-scanner
  fi

  # openvas-scanner must be restarted
  /sbin/service openvas-scanner restart >/dev/null 2>&1 || :

  # Initialize the sqlite db
  /usr/sbin/openvasmd -f --rebuild >/dev/null 2>&1 || :

  # Add openvasmd to setup
  /sbin/chkconfig --add openvas-manager
  /sbin/chkconfig openvas-manager on

  # start openvasmd
  /sbin/service openvas-manager start >/dev/null 2>&1 || :

fi


%preun
if [ $1 = 0 ]; then
  /sbin/service openvas-manager stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del openvas-manager
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service openvas-manager condrestart >/dev/null 2>&1 || :
fi





%files
%defattr(-,root,root,-)
%config /etc/openvas/openvasmd_log.conf
%config /etc/sysconfig/openvas-manager
%{_sbindir}/openvasmd
/usr/share/man/man8/openvasmd.8.gz
/usr/share/openvas/openvasmd/*
/etc/logrotate.d/openvas-manager
/etc/rc.d/init.d/openvas-manager


%changelog
* Tue Feb 22 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.1-1
- Update to 2.0.1

* Thu Feb 17 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.0-1
- Update to 2.0.0 final

* Wed Jan 19 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.3
- Update to 2.0 rc2

* Thu Dec 30 2010 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.2
- Update 2.0 rc1

* Fri Dec 10 2010 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.1
- Update to 2.0 beta 3

* Mon Aug 30 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.2-2
- Added init script
- Added sysconfig
- Added Logrotate
- Added %post/%postun macros to configure/create users and databases
- Added %post routine to reconfigure openvas-scanner to work with manager

* Thu Aug 26 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.2-1
- Update to 1.0.2

* Thu Jul 29 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-1
- Update to 1.0.0 final

* Wed Apr 28 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-beta6.1-1
- Update to beta6

* Tue Apr 13 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-beta5.1-1
- initial build

